Package Details: pulseaudio-dlna 0.5.2.r152.gb0db813-6

Git Clone URL: https://aur.archlinux.org/pulseaudio-dlna.git (read-only, click to copy)
Package Base: pulseaudio-dlna
Description: Small DLNA server which brings DLNA/UPnP support to PulseAudio
Upstream URL: https://github.com/masmu/pulseaudio-dlna
Keywords: dlna multimedia pulseaudio upnp
Licenses: GPL3
Submitter: yegorius
Maintainer: polyzen
Last Packager: polyzen
Votes: 61
Popularity: 0.002014
First Submitted: 2015-04-11 23:54
Last Updated: 2021-03-18 23:09

Latest Comments

1 2 3 4 5 6 ... Next › Last »

zachalexy commented on 2021-09-03 17:13

Ahha, great! Removed the IgnorePkg entry, happily streaming...thx, Zach

polyzen commented on 2021-09-03 17:08

The package has already been fixed, feel free to upgrade to python-pyroute2 0.5.19-3.

zachalexy commented on 2021-09-03 17:05

Downgraded for now. Very happy still with pulseaudio-dlna. Streaming Spotify to a dated Sony low-end Hi-Fi device. Low-end but my music! Thx polyzen!

simona commented on 2021-09-03 06:59

use version x python3 is a problem? any disadvantages?

polyzen commented on 2021-09-03 04:19

You can downgrade to python-pyroute2 0.5.19-1 until that package is fixed.

Bazon commented on 2021-09-02 14:19

Since recent update (python-something, I suppose?):

Traceback (most recent call last): File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 568, in _build_master ws.require(requires) File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 886, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 777, in resolve raise VersionConflict(dist, req).with_context(dependent_req) pkg_resources.ContextualVersionConflict: (pyroute2 unknown (/usr/lib/python3.9/site-packages), Requirement.parse('pyroute2>=0.3.5'), {'pulseaudio-dlna'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/bin/pulseaudio-dlna", line 33, in <module> sys.exit(load_entry_point('pulseaudio-dlna==0.6.0', 'console_scripts', 'pulseaudio-dlna')()) File "/usr/bin/pulseaudio-dlna", line 25, in importlib_load_entry_point return next(matches).load() File "/usr/lib/python3.9/importlib/metadata.py", line 77, in load module = import_module(match.group('module')) File "/usr/lib/python3.9/importlib/init.py", line 127, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "<frozen importlib._bootstrap>", line 1030, in _gcd_import File "<frozen importlib._bootstrap>", line 1007, in _find_and_load File "<frozen importlib._bootstrap>", line 972, in _find_and_load_unlocked File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed File "<frozen importlib._bootstrap>", line 1030, in _gcd_import File "<frozen importlib._bootstrap>", line 1007, in _find_and_load File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked File "<frozen importlib._bootstrap>", line 680, in _load_unlocked File "<frozen importlib._bootstrap_external>", line 850, in exec_module File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed File "/usr/lib/python3.9/site-packages/pulseaudio_dlna/init.py", line 19, in <module> import pkg_resources File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 3243, in <module> def _initialize_master_working_set(): File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 3226, in _call_aside f(args, *kwargs) File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 3255, in _initialize_master_working_set working_set = WorkingSet._build_master() File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 570, in _build_master return cls._build_from_requirements(requires) File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 583, in _build_from_requirements dists = ws.resolve(reqs, Environment()) File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 772, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'pyroute2>=0.3.5' distribution was not found and is required by pulseaudio-dlna

P.S.: No problem with https://aur.archlinux.org/packages/pulseaudio-dlna-python3/ , so maybe this is a useful workaround for someone....

simona commented on 2021-03-18 23:53

now ok for dbus problem but the error:
-> Installing python-pychromecast6 will remove: python-pychromecast, python-pychromecast (python-pychromecast6)
python-pychromecast can't be used?

simona commented on 2021-03-18 09:39

python2-dbus 1.2.16-3 has been removed from the [extra] repository.

maderios commented on 2021-03-06 15:57

@yannleretaille Why don't you add this fork as a new Aur package?

yannleretaille commented on 2021-03-05 21:12

There's a new fork available that adds proper python 3 support, uses the newer version of pychromecast and includes various other fixes:

https://github.com/Cygn/pulseaudio-dlna

Here's a PKGBUILD for the latest release (0.6.1):

https://gist.github.com/yannleretaille/1a45e6d55f7ed3833f9426c2fea29f2d

# Maintainer: Daniel M. Capella <polyzen@archlinux.org>
# Contributor: ZaZam <zazaamm ät gmail döt com>
# Contributor: Yegorius <yegorius@domic.us>

pkgname=pulseaudio-dlna
pkgver=0.6.1
pkgrel=1
pkgdesc='Small DLNA server which brings DLNA/UPnP support to PulseAudio'
arch=('x86_64')
url=https://github.com/Cygn/pulseaudio-dlna/
license=('GPL3')
depends=('python-chardet' 'python-dbus' 'python-docopt' 'python-gobject'
         'python-lxml' 'python-netifaces' 'python-notify2' 'python-psutil'
         'python-pychromecast' 'python-pyroute2' 'python-requests'
         'python-setproctitle' 'python-protobuf' 'python-setuptools'
         'python-zeroconf' 'python-urllib3')
makedepends=('git')
optdepends=('faac: AAC transcoding support'
            'ffmpeg: multiple formats support'
            'flac: FLAC transcoding support'
            'lame: MP3 transcoding support'
            'opus-tools: OPUS transcoding support'
            'sox: WAV transcoding support'
            'vorbis-tools: OGG transcoding support')
source=('https://github.com/Cygn/pulseaudio-dlna/archive/0.6.1.tar.gz')
sha256sums=('497743700377389ae03ffae2d8fbf8c49ed8ec219d53fd8ca7f0aea0d464b15d')

prepare() {
  cd "$pkgname-$pkgver"
  sed -i '/dbus-python/d' setup.py
}

build() {
  cd "$pkgname-$pkgver"
  python setup.py build
}

package() {
  cd "$pkgname-$pkgver"
  python setup.py build --build-lib=build/python \
                  install --root="$pkgdir" --optimize=1

}

# vim:set ts=2 sw=2 et: